Reply – Re: Change: JogAmp Module's Java Language Version Constraints
Your Name
Subject
Message
or Cancel
In Reply To
Re: Change: JogAmp Module's Java Language Version Constraints
— by Manu Manu
Since the release of version 4.0 of Sweet Home 3D, I can compute some statistics on the system / arch / Java version of the users who run the software, thanks to the agent set on the HTTP header when a request about updates of the software is done. Even if this is some partial results since no request will be sent if the user doesn't want it or he's not connected to the Internet, I can still give you the following results about the Java 5 and PowerPC architecture usage for one week:
467 users with a different IP address were running Sweet Home 3D under Java 5
101 users with a different IP address were running Sweet Home 3D on a PowerPC

This is not huge numbers but it's still too soon to say that Macs with a PowerPC or running an old Mac OS X version are dead.
Are these numbers big enough to motivate you to support Java 5 and/or PowerPC in JOGL?
Emmanuel Puybaret